%global commit 36e9cfa80fcf8b53119adc787e54a5892ec1eb2c
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-ecdsa
Version:        0.11
Release:        1%{?dist}
Summary:        ECDSA cryptographic signature library (pure python)

Group:          Development/Libraries
License:        MIT
URL:            http://github.com/warner/%{name}
Source0:        http://github.com/warner/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:         nose_compat.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  openssl

%package -n python3-ecdsa
Summary:        ECDSA cryptographic signature library (pure python)
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  openssl

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%description -n python3-ecdsa
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%prep
%setup -qn %{name}-%{commit}
%patch0 -p 1

# Versioneer uses git to detect the version. Since our tarball doesn't include
# any git information, we'll need to set the version manually.
cat << EOF > ecdsa/_version.py
# This file is originally generated from Git information by running 'setup.py
# version'. Distribution tarballs contain a pre-generated copy of this file.

__version__ = '%{version}'
EOF

rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%check
nosetests %{buildroot}%{python2_sitelib}/ecdsa/test_pyecdsa.py

nosetests-%{python3_version} %{buildroot}%{python3_sitelib}/ecdsa/test_pyecdsa.py

%clean
rm -rf %{buildroot}

%files
%doc LICENSE NEWS README.md
%{python2_sitelib}/ecdsa
%{python2_sitelib}/ecdsa-%{version}-py?.?.egg-info

%files -n python3-ecdsa
%doc LICENSE NEWS README.md
%{python3_sitelib}/ecdsa
%{python3_sitelib}/ecdsa-%{version}-py?.?.egg-info

%changelog
* Sun Oct 19 2014 Scott K Logan <logans@cottsay.net> - 0.11-1
- Update to 0.11

* Sun Jan 26 2014 Scott K Logan <logans@cottsay.net> - 0.10-1
- Initial package creation
